#include "nds.h"
#include <nds/arm9/console.h> //basic print funcionality
#include <stdio.h>

//---------------------------------------------------------------------------------
int main(void) {
//---------------------------------------------------------------------------------

      powerON(POWER_ALL);  //inicializa los cores 2D y 3D. Necesario en M3 (esto es por lo que algunos homebrew no arrancan)
	videoSetMode(MODE_0_2D | DISPLAY_BG0_ACTIVE);   //selecciona el modo de video 0 para la pantalla principal (sin activar 3D) y activa el fondo 0
	vramSetBankA(VRAM_A_MAIN_BG);    //reserva el banco A para fondos de la pantalla principal

	BG0_CR = BG_MAP_BASE(31);       //configura el registro del fondo 0 para que busque el mapa de tiles en el bloque 31. De momento os lo creis

	BG_PALETTE[255] = RGB15(31,31,31);  //ponemos el ltimo color de la paleta de fondos de la pantalla principal a blanco

	consoleInitDefault((u16*)SCREEN_BASE_BLOCK(31), (u16*)CHAR_BASE_BLOCK(0), 16);   //funcin bsica proporcionada por libnds para poner texto. Sencilla pero con ciertas limitaciones

	f32 numero=0;   //el 0 se puede asignar directamente
	f32 numero2=inttof32(2);      //pasamos un tipo entero
	f32 numero3=floattof32(2.5);  //y ahora un tipo decimal
	int total;                      
 
	numero= mulf32(numero2,numero3);   //resultado 5
	numero= numero+numero;             //resultado 10
	total= f32toint(numero);            //guardamos el 10 como entero
		
	iprintf("\nEl total es %d", total);   //nuestro esperado hello


	while(1) {

		
	}

	return 0;
}
